Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.entityproperties
Class ChannelRegistryPropertyFinder

    java.lang.Object
      org.jasig.portal.services.entityproperties.ChannelRegistryPropertyFinder

All Implemented Interfaces:
  IEntityPropertyFinder

    public class ChannelRegistryPropertyFinder

extends java.lang.Object
implements IEntityPropertyFinder

A finder implementation to provide channel properties derived from the ChannelRegistryManager

Version:
  $Revision: 1.13 $
Author:
  Alex Vigdor av317@columbia.edu

Field Summary
`protected static java.lang.Class` | `chan`
`protected static boolean` | `INITIALIZED`
`private static org.apache.commons.logging.Log` | `log`
`protected static java.lang.String[]` | `names`

Constructor Summary
`ChannelRegistryPropertyFinder()`

Method Summary
`java.lang.String` | `getProperty(EntityIdentifier entityID, java.lang.String name)`
`java.lang.String[]` | `getPropertyNames(EntityIdentifier entityID)`
`static void` | `init()` Lazily initialize the static variables.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### names

    protected static java.lang.String[] names

### chan

    protected static java.lang.Class chan

### INITIALIZED

    protected static boolean INITIALIZED

Constructor Detail

### ChannelRegistryPropertyFinder

    public ChannelRegistryPropertyFinder()

Method Detail

### init

    public static void init()

  Lazily initialize the static variables.

### getPropertyNames

    public java.lang.String[] getPropertyNames(EntityIdentifier entityID)

  Specified by:
    `getPropertyNames` in interface `IEntityPropertyFinder`

### getProperty

    public java.lang.String getProperty(EntityIdentifier entityID,
                                        java.lang.String name)

  Specified by:
    `getProperty` in interface `IEntityPropertyFinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD